Subject: Re: [PATCH] Use printf rather than echo -n.

From: Jason Riedy <[email-masked]>
Date: Tue, 06 Dec 2005 19:31:43 -0800

And Junio C Hamano writes:
 - Perhaps printf '%s' "$blah" to futureproof, instead of just
 - saying printf "$blah"?

Definitely more likely to stay correct.  I'm just lazy.

 - <rant mode on>
 - While I do not have anything aginst system without "sane" echo,
 - I really do not like it.  Not your solution, but *having to do*
 - something like that.

Um, you think the wrong one is sane.  ;)  Why should echo 
in Bourne shell take C-shell arguments?  (I blame AT&T for
their crappy licensing.)

Jason